import QtQuick 1.1

Rectangle {
        id: element

        width: parent.width
        height: 82

        color: "transparent"

Rectangle {
    id: einfache_staende
    opacity: 0.78
    border.width: 2
    border.color: "white"
    radius: 10
    width: 470
    height: 82
    color: "transparent"
    anchors.horizontalCenter: parent.horizontalCenter
          
    Grid {
        columns: 3
        spacing: 2

        Text {color: "white";
              //width: mainPage.width/2;
              width: 215;
              text: model.game.nameTeam1; 
              //textFormat: Text.StyledText
              font.pointSize: 15;
              horizontalAlignment: Text.AlignHCenter;
              elide: Text.ElideRight
              }

        Text {color: "white";
              font.pointSize: 15;
              width: 30;
              //height:30;
              text: model.game.halbzeitergebnis
              horizontalAlignment: Text.AlignHCenter;
              verticalAlignment: Text.AlignVCenter;
              }
              
        Text {color: "white";
              width: 215;
              //width: mainPage.width/2;
              text: model.game.nameTeam2;
              //textFormat: Text.StyledText 
              font.pointSize: 15;
              horizontalAlignment: Text.AlignHCenter
              elide: Text.ElideRight
              }
        //Row {
        //    layoutDirection: Qt.RightToLeft
        //    Image {
        //      width: 50
        //      fillMode: Image.PreserveAspectFit
        //      source: model.game.iconUrlTeam1
        //    }

            Text {color: "white";
                  width: 220;
                  //width: mainPage.width/2;
                  text: model.game.pointsTeam1; 
                  //textFormat: Text.StyledText
                  font.pointSize: 30;
                  horizontalAlignment: Text.AlignHCenter
                  verticalAlignment: Text.AlignVCenter;
            }
        //}

        Text {color: "yellow"
              width: 30
              text: model.game.anstosszeit 
              font.pointSize: 10
              horizontalAlignment: Text.AlignHCenter
              verticalAlignment: Text.AlignBottom
              }

        //Row {
        //    Image {
        //      width: 50
        //      fillMode: Image.PreserveAspectFit
        //      source: model.game.iconUrlTeam2
        //    }

            Text {color: "white";
                  width: 220;
                  //width: mainPage.width/2;
                  text: model.game.pointsTeam2; 
                  //textFormat: Text.StyledText
                  font.pointSize: 30;
                  horizontalAlignment: Text.AlignHCenter
                  verticalAlignment: Text.AlignVCenter;
            }
        //}
        
        //Text {color: "white";
        //      width: 220;
        //      //width: mainPage.width/2;
        //      text: model.game.pointsTeam2; 
        //      font.pointSize: 30;
        //      horizontalAlignment: Text.AlignHCenter
        //     }
        }
   }

   PropertyAnimation { id: animation_down; 
                       target: element ; 
                       property: "height"; 
                       to: element.height+model.game.tore_anzahl * 30; 
                       duration: 300 
                     }
   PropertyAnimation { id: animation_up; 
                       target: element; 
                       property: "height"; to: element.height-model.game.tore_anzahl * 30; 
                       duration: 300 
                     }

   PropertyAnimation { id: animation_tore_show; 
                       target: detail_staende; 
                       properties: "visible";
                       to: true; 
                       duration: 400 }    
   MouseArea {
              id: open_details
              anchors.fill: einfache_staende

              onClicked: {
                   if (detail_staende.visible === false) {
                       //element.height += model.game.tore_anzahl * 30
                       animation_down.running = true
                       detail_staende.anchors.top = einfache_staende.bottom
                       //detail_staende.visible = true
                       animation_tore_show.running = true
                    }
                   else {
                       detail_staende.visible = false
                       //element.height -= model.game.tore_anzahl * 30
                       animation_up.running = true
                       detail_staende.anchors.top = einfache_staende.top
                   }
              }
          }
    

   Rectangle {
                   id: detail_staende

                   anchors.horizontalCenter: parent.horizontalCenter
                   anchors.top: parent.top

                   width: 400
                   height: 100
                   radius: 10
                   color: "transparent"
                   visible: false

                   Text {
                       id: mins
                       color: "white";
                       //anchors.horizontalCenter: parent.horizontalCenter
                       anchors.top: parent.top

                       text: model.game.tore
                       font.pixelSize: 22
                   }
            }
}
