import QtQuick 1.1

Rectangle {
    id: elementGoalgetter
    width: parent.width
    height: 40
    color: "transparent"

    property int fontsize: 18

    Rectangle {
        id: standing_rect
        opacity: 0.78
        width: parent.width
        height: 40
        color: "black"
        anchors.horizontalCenter: parent.horizontalCenter

        Row {
            spacing: 2
   
            Rectangle {
                width: 20
                height: 40
                color: "black"
            }
                 
            Text {
                color: "white"
                width: 190
                height: parent.height
                text: model.goalgetter.name
                font.pointSize: fontsize
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignVCenter
                elide: Text.ElideRight
            }
            
            Text {
                color: "grey"
                width: 190
                height: parent.height
                text: model.goalgetter.team
                font.pointSize: fontsize-4
                horizontalAlignment: Text.AlignLight
                verticalAlignment: Text.AlignVCenter
            }

            Text {
                color: "white"
                width: 40
                height: parent.height
                text: model.goalgetter.goals_shot
                font.pointSize: fontsize
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                font.bold: true
            }
            Text {
                color: "white"
                width: 20
                height: parent.height
                //anchors.right: standing_rect.right
                text: model.goalgetter.penalties_shot
                font.pointSize: fontsize-4
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignVCenter
                font.bold: true
            }        
        }
    }
}
