import QtQuick 1.1

Rectangle {
    id: elementStandings
    width: parent.width
    height: 38
    color: "transparent"

    property int fontsize: 18

    Rectangle {
        id: standing_rect
        opacity: 0.78
        //border.width: 1
        //border.color: "white"
        //radius: 10
        width: parent.width
        height: parent.height
        color: "black"
        //color: index % 2 ? "grey" : "transparent"
        anchors.horizontalCenter: parent.horizontalCenter

        Row {
            spacing: 3
     
            Text {
                color: model.standing.place_color
                width: 35
                text: model.standing.place+"."
                font.pointSize: fontsize
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                elide: Text.ElideRight
            }

            Text {
                color: "white"
                width: 255
                text: model.standing.nameTeam
                font.pointSize: fontsize
                verticalAlignment: Text.AlignVCenter
                //elide: Text.ElideRight
            }
            Text {
                color: "white"
                width: 27
                text: model.standing.games_played
                font.pointSize: fontsize-2
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                elide: Text.ElideRight
            }
            Text {
                color: "white"
                width: 70
                text: model.standing.goals_shot + ":" + model.standing.goals_conceded
                font.pointSize: fontsize-2
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                elide: Text.ElideRight
            }
            Text {
                color: "white"
                width: 35
                text: model.standing.difference
                font.pointSize: fontsize-2
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                //elide: Text.ElideRight
            }
            Text {
                color: "white"
                width: 27
                text: model.standing.points
                font.pointSize: fontsize
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                font.bold: true
            }
        }
    }
}
