import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: standingsPage
    tools: settingsTools
    orientationLock: PageOrientation.LockPortrait

    ListView {
        anchors.fill: parent
        model: StandingListModel
        delegate: StandingsDelegator{}
        currentIndex: -1
    }
      
    Text {
       id: text_no_games_played
       anchors.fill: parent
       text: "Noch keine Spiele gespielt!"
       color: "white"
       font.pointSize: 40
       horizontalAlignment: Text.AlignHCenter
       verticalAlignment: Text.AlignVCenter
       wrapMode: Text.WordWrap
       visible: false
    }
 

    ToolBarLayout {
        id: settingsTools
        visible: true
        ToolIcon {
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: {
                pageStack.pop()
            }
        }
    }
}
